Name:		rvcount
Version:	1.0.0
Vendor:	        Rai Technology, Inc
Release:	1%{?dist}
Summary:	RV subscription counter

License:	ASL 2.0
URL:		https://github.com/raitechnology/%{name}
Source0:	%{name}-%{version}-1.tar.gz
BuildRoot:	${_tmppath}
Prefix:	        /usr
BuildRequires:  gcc-c++
BuildRequires:  chrpath
BuildRequires:  raikv
BuildRequires:  raimd
BuildRequires:  sassrv
BuildRequires:  libdecnumber
BuildRequires:  pcre2-devel
BuildRequires:  git-core
BuildRequires:  c-ares-devel
Requires:       raikv
Requires:       raimd
Requires:       sassrv
Requires:       libdecnumber
Requires:       pcre2
Requires:       c-ares
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
RV subscription counter

%prep
%setup -q


%define _unpackaged_files_terminate_build 0
%define _missing_doc_files_terminate_build 0
%define _missing_build_ids_terminate_build 0
%define _include_gdb_index 1

%build
make build_dir=./usr %{?_smp_mflags} dist_bins

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}

# in builddir
cp -a * %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*

%changelog
* Mon Jan 29 2024 <support@raitechnology.com>
- Hello world
